CSFML - C binding of the Simple and Fast Multimedia Library

CSFML 2.6.1

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Enumerations | Functions
Text.h File Reference
`#include <SFML/Graphics/Export.h>`
`#include <SFML/Graphics/Color.h>`
`#include <SFML/Graphics/Rect.h>`
`#include <SFML/Graphics/Types.h>`
`#include <SFML/Graphics/Transform.h>`
`#include <SFML/System/Vector2.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Enumerations
enum | sfTextStyle { sfTextRegular = 0 , sfTextBold = 1 << 0 , sfTextItalic = 1 << 1 , sfTextUnderlined = 1 << 2 , sfTextStrikeThrough = 1 << 3 }
| sfText styles More...

## Functions
sfText * | sfText_create (void)
| Create a new text.
sfText * | sfText_copy (const sfText *text)
| Copy an existing text.
void | sfText_destroy (sfText *text)
| Destroy an existing text.
void | sfText_setPosition (sfText *text, sfVector2f position)
| Set the position of a text.
void | sfText_setRotation (sfText *text, float angle)
| Set the orientation of a text.
void | sfText_setScale (sfText *text, sfVector2f scale)
| Set the scale factors of a text.
void | sfText_setOrigin (sfText *text, sfVector2f origin)
| Set the local origin of a text.
sfVector2f | sfText_getPosition (const sfText *text)
| Get the position of a text.
float | sfText_getRotation (const sfText *text)
| Get the orientation of a text.
sfVector2f | sfText_getScale (const sfText *text)
| Get the current scale of a text.
sfVector2f | sfText_getOrigin (const sfText *text)
| Get the local origin of a text.
void | sfText_move (sfText *text, sfVector2f offset)
| Move a text by a given offset.
void | sfText_rotate (sfText *text, float angle)
| Rotate a text.
void | sfText_scale (sfText *text, sfVector2f factors)
| Scale a text.
sfTransform | sfText_getTransform (const sfText *text)
| Get the combined transform of a text.
sfTransform | sfText_getInverseTransform (const sfText *text)
| Get the inverse of the combined transform of a text.
void | sfText_setString (sfText *text, const char *string)
| Set the string of a text (from an ANSI string)
void | sfText_setUnicodeString (sfText *text, const sfUint32 *string)
| Set the string of a text (from a unicode string)
void | sfText_setFont (sfText *text, const sfFont *font)
| Set the font of a text.
void | sfText_setCharacterSize (sfText *text, unsigned int size)
| Set the character size of a text.
void | sfText_setLineSpacing (sfText *text, float spacingFactor)
| Set the line spacing factor.
void | sfText_setLetterSpacing (sfText *text, float spacingFactor)
| Set the letter spacing factor.
void | sfText_setStyle (sfText *text, sfUint32 style)
| Set the style of a text.
void | sfText_setColor (sfText *text, sfColor color)
| Set the fill color of a text.
void | sfText_setFillColor (sfText *text, sfColor color)
| Set the fill color of a text.
void | sfText_setOutlineColor (sfText *text, sfColor color)
| Set the outline color of the text.
void | sfText_setOutlineThickness (sfText *text, float thickness)
| Set the thickness of the text's outline.
const char * | sfText_getString (const sfText *text)
| Get the string of a text (returns an ANSI string)
const sfUint32 * | sfText_getUnicodeString (const sfText *text)
| Get the string of a text (returns a unicode string)
const sfFont * | sfText_getFont (const sfText *text)
| Get the font used by a text.
unsigned int | sfText_getCharacterSize (const sfText *text)
| Get the size of the characters of a text.
float | sfText_getLetterSpacing (const sfText *text)
| Get the size of the letter spacing factor.
float | sfText_getLineSpacing (const sfText *text)
| Get the size of the line spacing factor.
sfUint32 | sfText_getStyle (const sfText *text)
| Get the style of a text.
sfColor | sfText_getColor (const sfText *text)
| Get the fill color of a text.
sfColor | sfText_getFillColor (const sfText *text)
| Get the fill color of a text.
sfColor | sfText_getOutlineColor (const sfText *text)
| Get the outline color of a text.
float | sfText_getOutlineThickness (const sfText *text)
| Get the outline thickness of a text.
sfVector2f | sfText_findCharacterPos (const sfText *text, size_t index)
| Return the position of the index-th character in a text.
sfFloatRect | sfText_getLocalBounds (const sfText *text)
| Get the local bounding rectangle of a text.
sfFloatRect | sfText_getGlobalBounds (const sfText *text)
| Get the global bounding rectangle of a text.

## Enumeration Type Documentation

## ◆ sfTextStyle

enum sfTextStyle

sfText styles

Enumerator
sfTextRegular | Regular characters, no style.
sfTextBold | Bold characters.
sfTextItalic | Italic characters.
sfTextUnderlined | Underlined characters.
sfTextStrikeThrough | Strike through characters.

Definition at line 43 of file Text.h.

## Function Documentation

## ◆ sfText_copy()

sfText * sfText_copy | ( | const sfText * | text | ) |

Copy an existing text.

Parameters

  text | Text to copy

Returns
  Copied object

## ◆ sfText_create()

sfText * sfText_create | ( | void |  | ) |

Create a new text.

Returns
  A new sfText object, or NULL if it failed

## ◆ sfText_destroy()

void sfText_destroy | ( | sfText * | text | ) |

Destroy an existing text.

Parameters

  text | Text to delete

## ◆ sfText_findCharacterPos()

sfVector2f sfText_findCharacterPos | ( | const sfText * | text,
|  | size_t | index )

Return the position of the index-th character in a text.

This function computes the visual position of a character from its index in the string. The returned position is in global coordinates (translation, rotation, scale and origin are applied). If index is out of range, the position of the end of the string is returned.

Parameters

  text | Text object
  index | Index of the character

Returns
  Position of the character

## ◆ sfText_getCharacterSize()

unsigned int sfText_getCharacterSize | ( | const sfText * | text | ) |

Get the size of the characters of a text.

Parameters

  text | Text object

Returns
  Size of the characters

## ◆ sfText_getColor()

sfColor sfText_getColor | ( | const sfText * | text | ) |

Get the fill color of a text.

Parameters

  text | Text object

Returns
  Fill color of the text

Deprecated
  This function is deprecated and may be removed in future releases. Use sfText_getFillColor instead.

## ◆ sfText_getFillColor()

sfColor sfText_getFillColor | ( | const sfText * | text | ) |

Get the fill color of a text.

Parameters

  text | Text object

Returns
  Fill color of the text

## ◆ sfText_getFont()

const sfFont * sfText_getFont | ( | const sfText * | text | ) |

Get the font used by a text.

If the text has no font attached, a NULL pointer is returned. The returned pointer is const, which means that you can't modify the font when you retrieve it with this function.

Parameters

  text | Text object

Returns
  Pointer to the font

## ◆ sfText_getGlobalBounds()

sfFloatRect sfText_getGlobalBounds | ( | const sfText * | text | ) |

Get the global bounding rectangle of a text.

The returned rectangle is in global coordinates, which means that it takes in account the transformations (translation, rotation, scale, ...) that are applied to the entity. In other words, this function returns the bounds of the text in the global 2D world's coordinate system.

Parameters

  text | Text object

Returns
  Global bounding rectangle of the entity

## ◆ sfText_getInverseTransform()

sfTransform sfText_getInverseTransform | ( | const sfText * | text | ) |

Get the inverse of the combined transform of a text.

Parameters

  text | Text object

Returns
  Inverse of the combined transformations applied to the object

## ◆ sfText_getLetterSpacing()

float sfText_getLetterSpacing | ( | const sfText * | text | ) |

Get the size of the letter spacing factor.

Parameters

  text | Text object

Returns
  Size of the letter spacing factor

See also
  sfText_setLetterSpacing

## ◆ sfText_getLineSpacing()

float sfText_getLineSpacing | ( | const sfText * | text | ) |

Get the size of the line spacing factor.

Parameters

  text | Text object

Returns
  Size of the line spacing factor

See also
  sfText_setLineSpacing

## ◆ sfText_getLocalBounds()

sfFloatRect sfText_getLocalBounds | ( | const sfText * | text | ) |

Get the local bounding rectangle of a text.

The returned rectangle is in local coordinates, which means that it ignores the transformations (translation, rotation, scale, ...) that are applied to the entity. In other words, this function returns the bounds of the entity in the entity's coordinate system.

Parameters

  text | Text object

Returns
  Local bounding rectangle of the entity

## ◆ sfText_getOrigin()

sfVector2f sfText_getOrigin | ( | const sfText * | text | ) |

Get the local origin of a text.

Parameters

  text | Text object

Returns
  Current origin

## ◆ sfText_getOutlineColor()

sfColor sfText_getOutlineColor | ( | const sfText * | text | ) |

Get the outline color of a text.

Parameters

  text | Text object

Returns
  Outline color of the text

## ◆ sfText_getOutlineThickness()

float sfText_getOutlineThickness | ( | const sfText * | text | ) |

Get the outline thickness of a text.

Parameters

  text | Text object

Returns
  Outline thickness of a text, in pixels

## ◆ sfText_getPosition()

sfVector2f sfText_getPosition | ( | const sfText * | text | ) |

Get the position of a text.

Parameters

  text | Text object

Returns
  Current position

## ◆ sfText_getRotation()

float sfText_getRotation | ( | const sfText * | text | ) |

Get the orientation of a text.

The rotation is always in the range [0, 360].

Parameters

  text | Text object

Returns
  Current rotation, in degrees

## ◆ sfText_getScale()

sfVector2f sfText_getScale | ( | const sfText * | text | ) |

Get the current scale of a text.

Parameters

  text | Text object

Returns
  Current scale factors

## ◆ sfText_getString()

const char * sfText_getString | ( | const sfText * | text | ) |

Get the string of a text (returns an ANSI string)

Parameters

  text | Text object

Returns
  String as a locale-dependant ANSI string

## ◆ sfText_getStyle()

sfUint32 sfText_getStyle | ( | const sfText * | text | ) |

Get the style of a text.

Parameters

  text | Text object

Returns
  Current string style (see sfTextStyle enum)

## ◆ sfText_getTransform()

sfTransform sfText_getTransform | ( | const sfText * | text | ) |

Get the combined transform of a text.

Parameters

  text | Text object

Returns
  Transform combining the position/rotation/scale/origin of the object

## ◆ sfText_getUnicodeString()

const sfUint32 * sfText_getUnicodeString | ( | const sfText * | text | ) |

Get the string of a text (returns a unicode string)

Parameters

  text | Text object

Returns
  String as UTF-32

## ◆ sfText_move()

void sfText_move | ( | sfText * | text,
|  | sfVector2f | offset )

Move a text by a given offset.

This function adds to the current position of the object, unlike sfText_setPosition which overwrites it.

Parameters

  text | Text object
  offset | Offset

## ◆ sfText_rotate()

void sfText_rotate | ( | sfText * | text,
|  | float | angle )

Rotate a text.

This function adds to the current rotation of the object, unlike sfText_setRotation which overwrites it.

Parameters

  text | Text object
  angle | Angle of rotation, in degrees

## ◆ sfText_scale()

void sfText_scale | ( | sfText * | text,
|  | sfVector2f | factors )

Scale a text.

This function multiplies the current scale of the object, unlike sfText_setScale which overwrites it.

Parameters

  text | Text object
  factors | Scale factors

## ◆ sfText_setCharacterSize()

void sfText_setCharacterSize | ( | sfText * | text,
|  | unsigned int | size )

Set the character size of a text.

The default size is 30.

Parameters

  text | Text object
  size | New character size, in pixels

## ◆ sfText_setColor()

void sfText_setColor | ( | sfText * | text,
|  | sfColor | color )

Set the fill color of a text.

By default, the text's fill color is opaque white. Setting the fill color to a transparent color with an outline will cause the outline to be displayed in the fill area of the text.

Parameters

  text | Text object
  color | New fill color of the text

Deprecated
  This function is deprecated and may be removed in future releases. Use sfText_setFillColor instead.

## ◆ sfText_setFillColor()

void sfText_setFillColor | ( | sfText * | text,
|  | sfColor | color )

Set the fill color of a text.

By default, the text's fill color is opaque white. Setting the fill color to a transparent color with an outline will cause the outline to be displayed in the fill area of the text.

Parameters

  text | Text object
  color | New fill color of the text

## ◆ sfText_setFont()

void sfText_setFont | ( | sfText * | text,
|  | const sfFont * | font )

Set the font of a text.

The font argument refers to a texture that must exist as long as the text uses it. Indeed, the text doesn't store its own copy of the font, but rather keeps a pointer to the one that you passed to this function. If the font is destroyed and the text tries to use it, the behaviour is undefined.

Parameters

  text | Text object
  font | New font

## ◆ sfText_setLetterSpacing()

void sfText_setLetterSpacing | ( | sfText * | text,
|  | float | spacingFactor )

Set the letter spacing factor.

The default spacing between letters is defined by the font. This factor doesn't directly apply to the existing spacing between each character, it rather adds a fixed space between them which is calculated from the font metrics and the character size. Note that factors below 1 (including negative numbers) bring characters closer to each other. By default the letter spacing factor is 1.

Parameters

  text | Text object
  spacingFactor | New letter spacing factor

See also
  sfText_getLetterSpacing

## ◆ sfText_setLineSpacing()

void sfText_setLineSpacing | ( | sfText * | text,
|  | float | spacingFactor )

Set the line spacing factor.

The default spacing between lines is defined by the font. This method enables you to set a factor for the spacing between lines. By default the line spacing factor is 1.

Parameters

  text | Text object
  spacingFactor | New line spacing factor

See also
  sfText_getLineSpacing

## ◆ sfText_setOrigin()

void sfText_setOrigin | ( | sfText * | text,
|  | sfVector2f | origin )

Set the local origin of a text.

The origin of an object defines the center point for all transformations (position, scale, rotation). The coordinates of this point must be relative to the top-left corner of the object, and ignore all transformations (position, scale, rotation). The default origin of a text object is (0, 0).

Parameters

  text | Text object
  origin | New origin

## ◆ sfText_setOutlineColor()

void sfText_setOutlineColor | ( | sfText * | text,
|  | sfColor | color )

Set the outline color of the text.

By default, the text's outline color is opaque black.

Parameters

  text | Text object
  color | New outline color of the text

## ◆ sfText_setOutlineThickness()

void sfText_setOutlineThickness | ( | sfText * | text,
|  | float | thickness )

Set the thickness of the text's outline.

By default, the outline thickness is 0.

Be aware that using a negative value for the outline thickness will cause distorted rendering.

Parameters

  thickness | New outline thickness, in pixels

See also
  getOutlineThickness

## ◆ sfText_setPosition()

void sfText_setPosition | ( | sfText * | text,
|  | sfVector2f | position )

Set the position of a text.

This function completely overwrites the previous position. See sfText_move to apply an offset based on the previous position instead. The default position of a text Text object is (0, 0).

Parameters

  text | Text object
  position | New position

## ◆ sfText_setRotation()

void sfText_setRotation | ( | sfText * | text,
|  | float | angle )

Set the orientation of a text.

This function completely overwrites the previous rotation. See sfText_rotate to add an angle based on the previous rotation instead. The default rotation of a text Text object is 0.

Parameters

  text | Text object
  angle | New rotation, in degrees

## ◆ sfText_setScale()

void sfText_setScale | ( | sfText * | text,
|  | sfVector2f | scale )

Set the scale factors of a text.

This function completely overwrites the previous scale. See sfText_scale to add a factor based on the previous scale instead. The default scale of a text Text object is (1, 1).

Parameters

  text | Text object
  scale | New scale factors

## ◆ sfText_setString()

void sfText_setString | ( | sfText * | text,
|  | const char * | string )

Set the string of a text (from an ANSI string)

A text's string is empty by default.

Parameters

  text | Text object
  string | New string

## ◆ sfText_setStyle()

void sfText_setStyle | ( | sfText * | text,
|  | sfUint32 | style )

Set the style of a text.

You can pass a combination of one or more styles, for example sfTextBold | sfTextItalic. The default style is sfTextRegular.

Parameters

  text | Text object
  style | New style

## ◆ sfText_setUnicodeString()

void sfText_setUnicodeString | ( | sfText * | text,
|  | const sfUint32 * | string )

Set the string of a text (from a unicode string)

Parameters

  text | Text object
  string | New string